## org.eclipse.emf.ecore.plugin
Class RegistryReader.PluginClassDescriptor

    java.lang.Object
      org.eclipse.emf.ecore.plugin.RegistryReader.PluginClassDescriptor

Enclosing class:
  RegistryReader

    public static class RegistryReader.PluginClassDescriptor

extends java.lang.Object

Field Summary
`protected java.lang.String` `attributeName`
`protected IConfigurationElement` `element`

Constructor Summary
`RegistryReader.PluginClassDescriptor(IConfigurationElement element, java.lang.String attributeName)`

Method Summary
`java.lang.Object` `createInstance()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected IConfigurationElement element

### attributeName

    protected java.lang.String attributeName

Constructor Detail

### RegistryReader.PluginClassDescriptor

    public RegistryReader.PluginClassDescriptor(IConfigurationElement element,
                                                java.lang.String attributeName)

Method Detail

### createInstance

    public java.lang.Object createInstance()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.